<?php
namespace Xooapp;  //main namespace

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly



/* - Path define same as class name of the widget
====================================================================================================*/
use Xooapp\Widgets\Xooapp_Header;
use Xooapp\Widgets\Xooapp_Logo;
use Xooapp\Widgets\Xooapp_Nav_Menu;
use Xooapp\Widgets\Hero_One;
use Xooapp\Widgets\Feature_Box;
use Xooapp\Widgets\Xooapp_Heading;
use Xooapp\Widgets\Xooapp_Section_Heading;
use Xooapp\Widgets\App_slider;
use Xooapp\Widgets\Team;
use Xooapp\Widgets\Xooapp_Counter;
use Xooapp\Widgets\Xooapp_Video_Content;
use Xooapp\Widgets\Xooapp_Video_Box;
use Xooapp\Widgets\Xooapp_Testimonials;
use Xooapp\Widgets\Xooapp_Blog;
use Xooapp\Widgets\Xooapp_App_Info;
use Xooapp\Widgets\Xooapp_Pricing_Table;
use Xooapp\Widgets\Xooapp_Social_List;
use Xooapp\Widgets\Xooapp_Button_List;
use Xooapp\Widgets\Xooapp_Tabs;


use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Base_Control;
use Elementor\Base_Data_Control;
use Elementor\Utils;


/* - End Of path define same as class name of the widget
====================================================================================================*/

function xooapp_insert_elementor($atts){

	$post_id = $atts['id'];
	$response = \Elementor\Plugin::instance()->frontend->get_builder_content_for_display($post_id);
	return $response;
}
add_shortcode('XOOAPP_ELEMENTOR','\Xooapp\xooapp_insert_elementor');


function print_ae_data($sections){
	foreach ( $sections as $section_data ) {
		$section = new Element_Section( $section_data );

		$section->print_element();
	}
}
/**
 *  Enable the use of shortcodes in text widgets.
 */
add_filter( 'widget_text', 'do_shortcode' );


// Add a custom category for panel widgets
add_action( 'elementor/init', function() {
	\Elementor\Plugin::$instance->elements_manager->add_category( 
   	'xooapp-master-elements',                 // the name of the category
   	[
   		'title' => __( 'Xooapp', 'xooapp' ),
   		'icon' => 'fa fa-header', //default icon
   	],
   	5 // position
   );
} );




add_action( 'elementor/element/before_section_start', function( $element, $section_id, $args ) {
	/** @var \Elementor\Element_Base $element */
	if ( 'section' === $element->get_name() && 'section_background' === $section_id ) {

		$element->start_controls_section(
			'custom_section',
			[
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
				'label' => __( 'Extra Option Background', 'xooapp' ),
			]
		);

		$element->add_responsive_control(
			'xooapp_responsive_background',
			[
				'label' => _x( 'Image', 'Background Control', 'xooapp' ),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],
				'title' => _x( 'Background Image', 'Background Control', 'xooapp' ),
				'selectors' => [
					'{{WRAPPER}}' => 'background-image: url("{{URL}}");',
				],
				
			]
		);

		$element->add_responsive_control(
			'responsive_background_control',
			[
				'label' => __( 'Background Position', 'xooapp' ),
				'type' => Controls_Manager::SELECT,
				'default' => '',
				'options' => [
					'' => _x( 'Default', 'Background Control', 'xooapp' ),
					'top left' => _x( 'Top Left', 'Background Control', 'xooapp' ),
					'top center' => _x( 'Top Center', 'Background Control', 'xooapp' ),
					'top right' => _x( 'Top Right', 'Background Control', 'xooapp' ),
					'center left' => _x( 'Center Left', 'Background Control', 'xooapp' ),
					'center center' => _x( 'Center Center', 'Background Control', 'xooapp' ),
					'center right' => _x( 'Center Right', 'Background Control', 'xooapp' ),
					'bottom left' => _x( 'Bottom Left', 'Background Control', 'xooapp' ),
					'bottom center' => _x( 'Bottom Center', 'Background Control', 'xooapp' ),
					'bottom right' => _x( 'Bottom Right', 'Background Control', 'xooapp' ),
				],
				'selectors' => [
					'{{WRAPPER}}' => 'background-position: {{VALUE}};',
				],

			]
		);

		$element->add_responsive_control(
			'responsive_background_size',
			[
				'label' => __( 'Background Size', 'xooapp' ),
				'type' => Controls_Manager::SELECT,
				'default' => '',
				'options' => [
					'' => _x( 'Default', 'Background Control', 'xooapp' ),
					'auto' => _x( 'Auto', 'Background Control', 'xooapp' ),
					'cover' => _x( 'Cover', 'Background Control', 'xooapp' ),
					'contain' => _x( 'Contain', 'Background Control', 'xooapp' ),
				],
				'selectors' => [
					'{{WRAPPER}}' => 'background-size: {{VALUE}};',
				],

			]
		);

		$element->add_responsive_control(
			'xooapp_responsive_background_color',
			[
				'label' => _x( 'Color', 'Background Control', 'xooapp' ),
				'type' => Controls_Manager::COLOR,
				'default' => '',
				'title' => _x( 'Background Color', 'Background Control', 'xooapp' ),
				'selectors' => [
					'{{WRAPPER}}' => 'background-color: {{VALUE}};',
				],
				
			]
		);

		$element->add_responsive_control(
			'xooapp_hide_mobile',
			[
				'label' => __( 'Background Image Hide On Device', 'xooapp' ),
				'type' => Controls_Manager::SWITCHER,
				'default' => '',
				'prefix_class' => 'elementor-',
				'selectors' => [
					'{{WRAPPER}}.elementor-hidden-phone' => 'background-image: none;',
				],
				'label_on' => __( 'Hide', 'xooapp' ),
				'label_off' => __( 'Show', 'xooapp' ),
				'return_value' => 'hidden-phone',
			]
		);

		$element->add_responsive_control(
			'overlay_postion',
			[
				'label' => __( 'Overlay Image Position', 'xooapp' ),
				'type' => Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%' ],
				'selectors' => [
					'#page {{WRAPPER}} .elementor-background-overlay' => 'background-position: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}};',
				],
			]
		);
		$element->add_responsive_control(
			'overlay_postion_left',
			[
				'label' => __( 'Overlay Image Position', 'xooapp' ),
				'type' => Controls_Manager::SLIDER,
				'default' => [
					'size' => '',
				],
				'size_units' => [ '%', 'px' ],
				'range' => [
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .elementor-background-overlay' => 'left: {{SIZE}}{{UNIT}};',
				],
			]
		);

		

		$element->add_responsive_control(
			'overlay_image_width',
			[
				'label' => __( 'Overlay Image Width', 'xooapp' ),
				'type' => Controls_Manager::SLIDER,
				'default' => [
					'size' => '',
				],
				'size_units' => [ '%', 'px'],
				'range' => [
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .elementor-background-overlay' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);

		$element->add_responsive_control(
			'xooapp_overlay_hide_mobile',
			[
				'label' => __( 'Overlay Hide On Device', 'xooapp' ),
				'type' => Controls_Manager::SWITCHER,
				'default' => 'overlay-yes',
				// 'prefix_class' => 'elementor-',
				'selectors' => [
					'{{WRAPPER}} .elementor-background-overlay' => 'background-image: none;',
				],
				'label_on' => __( 'Hide', 'xooapp' ),
				'label_off' => __( 'Show', 'xooapp' ),
				'return_value' => 'overlay-no',
			]
		);
		

		$element->end_controls_section();
	}
}, 10, 3 );

/**
 * Main Plugin Class
 *
 * Register new elementor widget.
 *
 * @since 1.0.0
 */
class Xooapp_Elementor {

	/**
	 * Constructor
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 */
	
	public function __construct() {
		$this->add_actions();
	}

	/**
	 * Add Actions
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function add_actions() {
		add_action( 'elementor/editor/after_enqueue_styles', [ $this, 'xooapp_enqueue_custom_admin_style'], 999 );
		add_action( 'elementor/frontend/after_enqueue_styles', [ $this, 'xooapp_enqueue_custom_admin_style'] );


		add_action( 'elementor/widgets/register', [ $this, 'on_widgets_registered' ] );
		add_action( 'elementor/controls/controls_registered', [ $this, 'custom_icon_include'], 10, 1 );

	}


	public function xooapp_enqueue_custom_admin_style() {
		wp_enqueue_style( 'xooapp_custom_style', plugins_url( '/css/admin-style.min.css', __FILE__ ), false, '1.0.0' );

	}


	/**
	 * On Widgets Registered
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 */
	public function on_widgets_registered() {
		$this->includes();
		$this->register_widget();
	}

	/**
	 * Includes
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function includes() {
		$void_widgets= array_map('basename', glob(dirname( __FILE__ ) . '/widgets/*.php'));

		//require __DIR__ . '/helper/helper.php';
		foreach($void_widgets as $key => $value){
			require __DIR__ . '/widgets/'.$value;
		}
	}


	/* - Register all elements widget
	====================================================================================================*/

	/**
	 * Register Widget
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function register_widget() {    
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Header() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Logo() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Nav_Menu() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Hero_One() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Feature_Box() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Heading() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Section_Heading() );
		\Elementor\Plugin::instance()->widgets_manager->register( new App_slider() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Team() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Counter() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Video_Content() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Video_Box() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Testimonials() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Blog() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_App_Info() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Pricing_Table() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Social_List() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Button_List() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Xooapp_Tabs() );

	}

	/**
	 * Xooapp custom icon
	 *
	 * @since 1.0.0 
	 * @access public
	 */
	public function custom_icon_include( $controls_registry ) {
		// Get existing icons
		$icons = $controls_registry->get_control( 'icon' )->get_settings( 'options' );
		// Append new icons
		$new_icons = array_merge(
			array(
				'pe-7s-album' => 'Album',
				'pe-7s-arc' => ucfirst('arc'),
				'pe-7s-back-2' => ucfirst('back-2'),
				'pe-7s-bandaid' => ucfirst('bandaid'),
				'pe-7s-car' => ucfirst('car'),
				'pe-7s-diamond' => ucfirst('diamond'),
				'pe-7s-door-lock' => ucfirst('door-lock'),
				'pe-7s-eyedropper' => ucfirst('eyedropper'),
				'pe-7s-female' => ucfirst('female'),
				'pe-7s-gym' => ucfirst('gym'),
				'pe-7s-hammer' => ucfirst('hammer'),
				'pe-7s-headphones' => ucfirst('headphones'),
				'pe-7s-helm' => ucfirst('helm'),
				'pe-7s-hourglass' => ucfirst('hourglass'),
				'pe-7s-leaf' => ucfirst('leaf'),
				'pe-7s-magic-wand' => ucfirst('magic-wand'),
				'pe-7s-male' => ucfirst('male'),
				'pe-7s-map-2' => ucfirst('map-2'),
				'pe-7s-next-2' => ucfirst('next-2'),
				'pe-7s-paint-bucket' => ucfirst('paint-bucket'),
				'pe-7s-pendrive' => ucfirst('pendrive'),
				'pe-7s-photo' => ucfirst('photo'),
				'pe-7s-piggy' => ucfirst('piggy'),
				'pe-7s-plugin' => ucfirst('plugin'),
				'pe-7s-refresh-2' => ucfirst('refresh-2'),
				'pe-7s-rocket' => ucfirst('rocket'),
				'pe-7s-settings' => ucfirst('settings'),
				'pe-7s-shield' => ucfirst('shield'),
				'pe-7s-smile' => ucfirst('smile'),
				'pe-7s-usb' => ucfirst('usb'),
				'pe-7s-vector' => ucfirst('vector'),
				'pe-7s-wine' => ucfirst('wine'),
				'pe-7s-cloud-upload' => ucfirst('cloud-upload'),
				'pe-7s-cash' => ucfirst('cash'),
				'pe-7s-close' => ucfirst('close'),
				'pe-7s-bluetooth' => ucfirst('bluetooth'),
				'pe-7s-cloud-download' => ucfirst('cloud-download'),
				'pe-7s-way' => ucfirst('way'),
				'pe-7s-close-circle' => ucfirst('close-circle'),
				'pe-7s-id' => ucfirst('id'),
				'pe-7s-angle-up' => ucfirst('angle-up'),
				'pe-7s-wristwatch' => ucfirst('wristwatch'),
				'pe-7s-angle-up-circle' => ucfirst('angle-up-circle'),
				'pe-7s-world' => ucfirst('world'),
				'pe-7s-angle-right' => ucfirst('angle-right'),
				'pe-7s-volume' => ucfirst('volume'),
				'pe-7s-angle-right-circle' => ucfirst('angle-right-circle'),
				'pe-7s-users' => ucfirst('users'),
				'pe-7s-angle-left' => ucfirst('angle-left'),
				'pe-7s-user-female' => ucfirst('user-female'),
				'pe-7s-angle-left-circle' => ucfirst('angle-left-circle'),
				'pe-7s-up-arrow' => ucfirst('up-arrow'),
				'pe-7s-angle-down' => ucfirst('angle-down'),
				'pe-7s-switch' => ucfirst('switch'),
				'pe-7s-angle-down-circle' => ucfirst('angle-down-circle'),
				'pe-7s-scissors' => ucfirst('scissors'),
				'pe-7s-wallet' => ucfirst('wallet'),
				'pe-7s-safe' => ucfirst('safe'),
				'pe-7s-volume2' => ucfirst('volume2'),
				'pe-7s-volume1' => ucfirst('volume1'),
				'pe-7s-voicemail' => ucfirst('voicemail'),
				'pe-7s-video' => ucfirst('video'),
				'pe-7s-user' => ucfirst('user'),
				'pe-7s-upload' => ucfirst('upload'),
				'pe-7s-unlock' => ucfirst('unlock'),
				'pe-7s-umbrella' => ucfirst('umbrella'),
				'pe-7s-trash' => ucfirst('trash'),
				'pe-7s-tools' => ucfirst('tools'),
				'pe-7s-timer' => ucfirst('timer'),
				'pe-7s-ticket' => ucfirst('ticket'),
				'pe-7s-target' => ucfirst('target'),
				'pe-7s-sun' => ucfirst('sun'),
				'pe-7s-study' => ucfirst('study'),
				'pe-7s-stopwatch' => ucfirst('stopwatch'),
				'pe-7s-star' => ucfirst('star'),
				'pe-7s-speaker' => ucfirst('speaker'),
				'pe-7s-signal' => ucfirst('signal'),
				'pe-7s-shuffle' => ucfirst('shuffle'),
				'pe-7s-shopbag' => ucfirst('shopbag'),
				'pe-7s-share' => ucfirst('share'),
				'pe-7s-server' => ucfirst('server'),
				'pe-7s-search' => ucfirst('search'),
				'pe-7s-film' => ucfirst('film'),
				'pe-7s-science' => ucfirst('science'),
				'pe-7s-disk' => ucfirst('disk'),
				'pe-7s-ribbon' => ucfirst('ribbon'),
				'pe-7s-repeat' => ucfirst('repeat'),
				'pe-7s-refresh' => ucfirst('refresh'),
				'pe-7s-add-user' => ucfirst('add-user'),
				'pe-7s-refresh-cloud' => ucfirst('refresh-cloud'),
				'pe-7s-paperclip' => ucfirst('paperclip'),
				'pe-7s-radio' => ucfirst('radio'),
				'pe-7s-note2' => ucfirst('note2'),
				'pe-7s-print' => ucfirst('print'),
				'pe-7s-network' => ucfirst('network'),
				'pe-7s-prev' => ucfirst('prev'),
				'pe-7s-mute' => ucfirst('mute'),
				'pe-7s-power' => ucfirst('power'),
				'pe-7s-medal' => ucfirst('medal'),
				'pe-7s-portfolio' => ucfirst('portfolio'),
				'pe-7s-like2' => ucfirst('like2'),
				'pe-7s-plus' => ucfirst('plus'),
				'pe-7s-left-arrow' => ucfirst('left-arrow'),
				'pe-7s-play' => ucfirst('play'),
				'pe-7s-key' => ucfirst('key'),
				'pe-7s-plane' => ucfirst('plane'),
				'pe-7s-joy' => ucfirst('joy'),
				'pe-7s-photo-gallery' => ucfirst('photo-gallery'),
				'pe-7s-pin' => ucfirst('pin'),
				'pe-7s-phone' => ucfirst('phone'),
				'pe-7s-plug' => ucfirst('plug'),
				'pe-7s-pen' => ucfirst('pen'),
				'pe-7s-right-arrow' => ucfirst('right-arrow'),
				'pe-7s-paper-plane' => ucfirst('paper-plane'),
				'pe-7s-delete-user' => ucfirst('delete-user'),
				'pe-7s-paint' => ucfirst('paint'),
				'pe-7s-bottom-arrow' => ucfirst('bottom-arrow'),
				'pe-7s-notebook' => ucfirst('notebook'),
				'pe-7s-note' => ucfirst('note'),
				'pe-7s-next' => ucfirst('next'),
				'pe-7s-news-paper' => ucfirst('news-paper'),
				'pe-7s-musiclist' => ucfirst('musiclist'),
				'pe-7s-music' => ucfirst('music'),
				'pe-7s-mouse' => ucfirst('mouse'),
				'pe-7s-more' => ucfirst('more'),
				'pe-7s-moon' => ucfirst('moon'),
				'pe-7s-monitor' => ucfirst('monitor'),
				'pe-7s-micro' => ucfirst('micro'),
				'pe-7s-menu' => ucfirst('menu'),
				'pe-7s-map' => ucfirst('map'),
				'pe-7s-map-marker' => ucfirst('map-marker'),
				'pe-7s-mail' => ucfirst('mail'),
				'pe-7s-mail-open' => ucfirst('mail-open'),
				'pe-7s-mail-open-file' => ucfirst('mail-open-file'),
				'pe-7s-magnet' => ucfirst('magnet'),
				'pe-7s-loop' => ucfirst('loop'),
				'pe-7s-look' => ucfirst('look'),
				'pe-7s-lock' => ucfirst('lock'),
				'pe-7s-lintern' => ucfirst('lintern'),
				'pe-7s-link' => ucfirst('link'),
				'pe-7s-like' => ucfirst('like'),
				'pe-7s-light' => ucfirst('light'),
				'pe-7s-less' => ucfirst('less'),
				'pe-7s-keypad' => ucfirst('keypad'),
				'pe-7s-junk' => ucfirst('junk'),
				'pe-7s-info' => ucfirst('info'),
				'pe-7s-home' => ucfirst('home'),
				'pe-7s-help2' => ucfirst('help2'),
				'pe-7s-help1' => ucfirst('help1'),
				'pe-7s-graph3' => ucfirst('graph3'),
				'pe-7s-graph2' => ucfirst('graph2'),
				'pe-7s-graph1' => ucfirst('graph1'),
				'pe-7s-graph' => ucfirst('graph'),
				'pe-7s-global' => ucfirst('global'),
				'pe-7s-gleam' => ucfirst('gleam'),
				'pe-7s-glasses' => ucfirst('glasses'),
				'pe-7s-gift' => ucfirst('gift'),
				'pe-7s-folder' => ucfirst('folder'),
				'pe-7s-flag' => ucfirst('flag'),
				'pe-7s-filter' => ucfirst('filter'),
				'pe-7s-file' => ucfirst('file'),
				'pe-7s-expand1' => ucfirst('expand1'),
				'pe-7s-exapnd2' => ucfirst('exapnd2'),
				'pe-7s-edit' => ucfirst('edit'),
				'pe-7s-drop' => ucfirst('drop'),
				'pe-7s-drawer' => ucfirst('drawer'),
				'pe-7s-download' => ucfirst('download'),
				'pe-7s-display2' => ucfirst('display2'),
				'pe-7s-display1' => ucfirst('display1'),
				'pe-7s-diskette' => ucfirst('diskette'),
				'pe-7s-date' => ucfirst('date'),
				'pe-7s-cup' => ucfirst('cup'),
				'pe-7s-culture' => ucfirst('culture'),
				'pe-7s-crop' => ucfirst('crop'),
				'pe-7s-credit' => ucfirst('credit'),
				'pe-7s-copy-file' => ucfirst('copy-file'),
				'pe-7s-config' => ucfirst('config'),
				'pe-7s-compass' => ucfirst('compass'),
				'pe-7s-comment' => ucfirst('comment'),
				'pe-7s-coffee' => ucfirst('coffee'),
				'pe-7s-cloud' => ucfirst('cloud'),
				'pe-7s-clock' => ucfirst('clock'),
				'pe-7s-check' => ucfirst('check'),
				'pe-7s-chat' => ucfirst('chat'),
				'pe-7s-cart' => ucfirst('cart'),
				'pe-7s-camera' => ucfirst('camera'),
				'pe-7s-call' => ucfirst('call'),
				'pe-7s-calculator' => ucfirst('calculator'),
				'pe-7s-browser' => ucfirst('browser'),
				'pe-7s-box2' => ucfirst('box2'),
				'pe-7s-box1' => ucfirst('box1'),
				'pe-7s-bookmarks' => ucfirst('bookmarks'),
				'pe-7s-bicycle' => ucfirst('bicycle'),
				'pe-7s-bell' => ucfirst('bell'),
				'pe-7s-battery' => ucfirst('battery'),
				'pe-7s-ball' => ucfirst('ball'),
				'pe-7s-back' => ucfirst('back'),
				'pe-7s-attention' => ucfirst('attention'),
				'pe-7s-anchor' => ucfirst('anchor'),
				'pe-7s-albums' => ucfirst('albums'),
				'pe-7s-alarm' => ucfirst('alarm'),
				'pe-7s-airplay' => ucfirst('airplay'),
			),
$icons
);
		// Then we set a new list of icons as the options of the icon control
$controls_registry->get_control( 'icon' )->set_settings( 'options', $new_icons );
}
}

new Xooapp_Elementor();